%define rel 4

Name:    libqaccessibilityclient
Version: 0.1.1
Release: %mkrel %{rel}
Summary: Accessibilty tools helper library 
Group:   Graphical desktop/KDE
License: LGPLv2+
URL:     https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient
Source0: http://download.kde.org/stable/%{name}/%{name}-%{version}.tar.bz2
# patch from Fedora to fix linking
Patch0:  qaccessibilityclient-0.1.0-dso.patch

BuildRequires: pkgconfig(QtCore)
BuildRequires: cmake >= 2.8.6


%description
Helper to make writing accessibility tools easier.

%files
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/accessibleapps

#--------------------------------------------------------------------
%define libqaccessibilityclient_major 0
%define libqaccessibilityclient %mklibname qaccessibilityclient %{libqaccessibilityclient_major}

%package -n %{libqaccessibilityclient}
Summary: Runtime library for %{name}
Group:   System/Libraries

%description -n %{libqaccessibilityclient}
Runtime library for %{name}.
 
%files -n %{libqaccessibilityclient}
%{_libdir}/libqaccessibilityclient.so.%{libqaccessibilityclient_major}{,.*}

#----------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group:   Development/C++

Requires: %{libqaccessibilityclient} = %{version}-%{release}

%description devel
Development files for %{name}.

%files devel
%{_libdir}/libqaccessibilityclient.so
%{_includedir}/qaccessibilityclient
%{_libdir}/cmake/QAccessibilityClient

#---------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%make

%install
%makeinstall_std -C build

%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.1.1-4.mga6
+ Revision: 935100
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 745811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 681728
- Mageia 5 Mass Rebuild

* Tue Jul 22 2014 lmenut <lmenut> 0.1.1-1.mga5
+ Revision: 655664
- imported package libqaccessibilityclient

